diff --git a/build.xml b/build.xml
index f2aaeb47..924cdc4e 100644
--- a/build.xml
+++ b/build.xml
@@ -662,6 +662,37 @@
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
@@ -710,7 +741,7 @@
-
+
diff --git a/installer/rpm/filebot.spec b/installer/rpm/filebot.spec
new file mode 100644
index 00000000..5e154873
--- /dev/null
+++ b/installer/rpm/filebot.spec
@@ -0,0 +1,35 @@
+Name: @{package.name}
+Version: @{application.version}
+Release: universal
+Summary: @{package.synopsis}
+
+BuildArch: noarch
+
+Requires: java-1.8.0-openjdk
+Requires: java-1.8.0-openjdk-openjfx
+Requires: jna
+Requires: libmediainfo
+Requires: libchromaprint
+Requires: p7zip
+Requires: p7zip-plugins
+
+
+%description
+@{package.description}
+
+
+%install
+cp -rvf %{src}/usr %{buildroot}
+
+
+%files
+/*
+
+
+%post
+ln -sf /usr/share/filebot/bin/filebot.sh /usr/bin/filebot
+
+
+%postun
+rm -f /usr/bin/filebot
+
diff --git a/installer/rpm/usr/share/filebot/bin/filebot.sh b/installer/rpm/usr/share/filebot/bin/filebot.sh
new file mode 100755
index 00000000..dbe9d24b
--- /dev/null
+++ b/installer/rpm/usr/share/filebot/bin/filebot.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+FILEBOT_HOME="/usr/share/filebot"
+
+if [ -z "$HOME" ]; then
+ echo '$HOME must be set'
+ exit 1
+fi
+
+# select application data folder
+APP_DATA="$HOME/.filebot"
+LIBRARY_PATH="/usr/lib64/jna"
+
+java -Dapplication.deployment=rpm -Djna.boot.library.name=jnidispatch -Dnet.filebot.archive.extractor=ShellExecutables @{java.application.options} @{linux.application.options} @{linux.desktop.application.options} $JAVA_OPTS $FILEBOT_OPTS -jar "$FILEBOT_HOME/jar/filebot.jar" "$@"